summaryrefslogtreecommitdiff
path: root/Master/tlpkg
diff options
context:
space:
mode:
Diffstat (limited to 'Master/tlpkg')
-rw-r--r--Master/tlpkg/TeXLive/TLConfig.pm3
-rw-r--r--Master/tlpkg/TeXLive/TLUtils.pm9
-rwxr-xr-xMaster/tlpkg/bin/tl-update-auto2
-rw-r--r--Master/tlpkg/doc/releng.txt1
4 files changed, 7 insertions, 8 deletions
diff --git a/Master/tlpkg/TeXLive/TLConfig.pm b/Master/tlpkg/TeXLive/TLConfig.pm
index 2b980b2034a..0435ce7113c 100644
--- a/Master/tlpkg/TeXLive/TLConfig.pm
+++ b/Master/tlpkg/TeXLive/TLConfig.pm
@@ -59,9 +59,6 @@ $ReleaseYear = 2016;
# Generally not tested.
$MinRelease = 2016;
-# users can NOT upgrade due to internal changes, force a full installation
-#$MinRelease = $ReleaseYear;
-
# Meta Categories do not ship files, but only call for other packages.
our @MetaCategories = qw/Collection Scheme/;
our $MetaCategoriesRegexp = '(Collection|Scheme)';
diff --git a/Master/tlpkg/TeXLive/TLUtils.pm b/Master/tlpkg/TeXLive/TLUtils.pm
index 4b3ea16117d..fa4d1abbf5e 100644
--- a/Master/tlpkg/TeXLive/TLUtils.pm
+++ b/Master/tlpkg/TeXLive/TLUtils.pm
@@ -2756,14 +2756,15 @@ sub _create_config_files {
my @lines = ();
my $usermode = $tlpdb->setting( "usertree" );
if (-r "$root/$headfile") {
- # we might be in user mode and do *not* want that the generation
- # of the configuration file just boils out.
open (INFILE, "<$root/$headfile")
|| die "open($root/$headfile) failed, but -r ok: $!";
@lines = <INFILE>;
close (INFILE);
- } else {
- die ("Giving up.") if (!$usermode);
+ } elsif (!$usermode) {
+ # we might be in user mode and then do *not* want the generation
+ # of the configuration file to just bail out.
+ tldie ("TLUtils::_create_config_files: giving up, unreadable: "
+ . "$root/$headfile\n")
}
push @lines, @$tlpdblinesref;
if (defined($localconf) && -r $localconf) {
diff --git a/Master/tlpkg/bin/tl-update-auto b/Master/tlpkg/bin/tl-update-auto
index ab3ac269e7f..8d40d9017bb 100755
--- a/Master/tlpkg/bin/tl-update-auto
+++ b/Master/tlpkg/bin/tl-update-auto
@@ -262,7 +262,7 @@ else
$chicken svn add $add_list
fi
test x"$chicken" = xecho || echo "$0: committing $update_list"
- $chicken svn commit --force-log -m$0 $update_list
+ $chicken svn commit --force-log -m"`basename $0`" $update_list
status=$?
test $status -ne 0 && echo "$0: *** svn commit failed, fix me." >&2
fi
diff --git a/Master/tlpkg/doc/releng.txt b/Master/tlpkg/doc/releng.txt
index 378ffc70fe4..03b878deabc 100644
--- a/Master/tlpkg/doc/releng.txt
+++ b/Master/tlpkg/doc/releng.txt
@@ -241,6 +241,7 @@ update ~www/texlive web pages (search for $prev and $prev-1):
doc.html - platform list, translation list
pretest.html - done for this year, maybe transfer bugs
quickinstall.html - paths
+ upgrade.html - whether possible or not
tlmgr-news.html - from texmf-dist/scripts/texlive/NEWS
index.html -
check for new Texinfo manuals to link to html versions: